<?php

namespace App\Http\Middleware;

use Closure;
use Firebase\JWT\JWT;

class VerifyJwt
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */

    public function handle($request, Closure $next)
    {
        $key = 'esta-es-mi-clave-secreta-*6045607454645';
        $auth = false;
        $jwt = $request->header('Authorization', null);

        try {
            $decoded = JWT::decode($jwt, $key, array('HS256'));
        }catch(\UnexpectedValueException $e){
            $auth = false;
        }catch(\DomainException $e){
            $auth = false;
        }


        if(isset($decoded) && is_object($decoded) && isset($decoded->sub)){
            $auth = true;
        }else{
            $auth = false;
        }
        return $next($request);
    }
}
