<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::post('/api/register','UserController@register');
Route::post('/api/login','UserController@login');

Route::group(['middleware'=>['vjwt']], function(){
    Route::resource('/api/consultas', 'ConsultaController');
    Route::resource('/api/pacientes', 'PacienteController');
    Route::resource('/api/historias', 'HistoriaController');
    Route::resource('/api/evoluciones', 'EvolucionController');
    Route::resource('/api/tratamientos', 'TratamientoController');
    Route::resource('/api/informes', 'InformeController');
});

