import {Component, OnInit, DoCheck} from '@angular/core';
import {UserService} from "./shared/services/user.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
  providers:[UserService]
})
export class AppComponent implements OnInit, DoCheck {
  title = 'Skipu APP';
  public identity;
  public token;

  constructor(
    private _userservice: UserService
  ){
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }

  ngOnInit(){
    console.log('AppComponent');
  }

  ngDoCheck(){
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }

}
