import { Component, OnInit} from "@angular/core";
import { Router, ActivatedRoute, Params} from "@angular/router";
import { User } from "../../shared/models/user";
import {UserService} from "../../shared/services/user.service";

// Declaramos las variables para jQuery
declare var jQuery:any;
declare var $:any;

@Component({
  selector: 'home',
  templateUrl: './home.component.html',
  providers: [UserService]
})

export class HomeComponent implements OnInit {

  public title: string;
  public identity;
  public token;

  constructor(
    private _route: ActivatedRoute,
    private _router: Router,
    private _userservice: UserService
  ) {
    this.title = 'HOME';
    this.identity = this._userservice.getIdentity();
    this.token = this._userservice.getToken();
  }

  ngOnInit() {

    console.log('Home');
  }



}
